> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperspell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update brain generation settings

> Update the supplied generation settings.

Changes apply to the next generation. This endpoint does not start a
generation or modify existing context documents.



## OpenAPI

````yaml https://api.hyperspell.com/openapi.json patch /context-documents/config
openapi: 3.1.0
info:
  title: Hyperspell API
  summary: >-
    Hyperspell is the memory layer for AI apps and agents. Through the API, you
    can add memories, connect data sources to index them in real-time, and
    search memories with our natural language query engine.
  termsOfService: https://hyperspell.com/blog/tos
  contact:
    name: Hyperspell
    url: https://hyperspell.com/
    email: hello@hyperspell.com
  version: 0.32.1
servers:
  - url: https://api.hyperspell.com
    description: Production
security: []
paths:
  /context-documents/config:
    patch:
      tags:
        - Context Documents
      summary: Update brain generation settings
      description: |-
        Update the supplied generation settings.

        Changes apply to the next generation. This endpoint does not start a
        generation or modify existing context documents.
      operationId: update_brain_config_context_documents_config_patch
      parameters:
        - name: X-As-User
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Optionally set this header to act as a specific user when using an
              API Key, equivalent to first exchanging the API Key for a User
              Token
            title: X-As-User
          description: >-
            Optionally set this header to act as a specific user when using an
            API Key, equivalent to first exchanging the API Key for a User Token
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BrainConfigUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BrainConfigView'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKey: []
components:
  schemas:
    BrainConfigUpdate:
      properties:
        structure:
          anyOf:
            - $ref: '#/components/schemas/BrainConfigStructure'
            - type: 'null'
        company_prompts:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Company Prompts
        workstream_prompts:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Workstream Prompts
        personal_prompt:
          anyOf:
            - type: string
            - type: 'null'
          title: Personal Prompt
        detection_prompt:
          anyOf:
            - type: string
            - type: 'null'
          title: Detection Prompt
        source_weights:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Source Weights
        domain:
          anyOf:
            - type: string
            - type: 'null'
          title: Domain
      type: object
      title: BrainConfigUpdate
      description: Customer-editable generation settings. Only supplied fields are updated.
    BrainConfigView:
      properties:
        structure:
          additionalProperties: true
          type: object
          title: Structure
        prompts:
          additionalProperties: true
          type: object
          title: Prompts
        source_weights:
          additionalProperties:
            type: string
          type: object
          title: Source Weights
        domain:
          anyOf:
            - type: string
            - type: 'null'
          title: Domain
        detected_domain:
          anyOf:
            - type: string
            - type: 'null'
          title: Detected Domain
      type: object
      required:
        - structure
        - prompts
        - source_weights
      title: BrainConfigView
      description: Brain-generation settings that customers can view and edit.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BrainConfigStructure:
      properties:
        company:
          anyOf:
            - items:
                $ref: '#/components/schemas/DocSpec'
              type: array
            - type: 'null'
          title: Company
        workstream:
          anyOf:
            - items:
                $ref: '#/components/schemas/DocSpec'
              type: array
            - type: 'null'
          title: Workstream
      type: object
      title: BrainConfigStructure
      description: Per-tier document definitions for custom generation.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    DocSpec:
      properties:
        key:
          type: string
          title: Key
        filename:
          type: string
          title: Filename
        prompt:
          type: string
          title: Prompt
        search_queries:
          items:
            type: string
          type: array
          title: Search Queries
      type: object
      required:
        - key
        - filename
        - prompt
        - search_queries
      title: DocSpec
      description: >-
        One document in a context-tree tier: what to generate and how to
        retrieve for it.
  securitySchemes:
    APIKey:
      type: http
      description: >-
        API Key or JWT User Token. If using an API Key, set the X-As-User header
        to act as a specific user. A JWT User Token is always scoped to a
        specific user.
      scheme: bearer
      bearerFormat: Bearer <token>

````